2016-09-18 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Fix dispalying of help text, per Arkener on
    http://drupal.org/node/2555323

2015-06-24 Jason Flatt drupal@oadaeh.net
  * mass_contact.admin.inc, mass_contact.page.inc, mass_contact_role.inc,
    mass_contact_taxonomy.inc: Run category names through check_plain() before
    displaying, per daniel_j.
    The related security advisory is here: http://drupal.org/node/2561951

2014-06-11 Jason Flatt drupal@oadaeh.net
  * README.txt:
    * Added documentation on how to add Taxonomy categories.

2013-08-21 Jason Flatt drupal@oadaeh.net
  * mass_contact.admin.inc, mass_contact.page.inc:
    * Give the admin the choice of using either check boxes or select lists when
      displaying the category list to the message sender. Fixes
      https://drupal.org/node/1061120.

2013-08-13 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact.admin.inc, mass_contact.page.inc:
    * Add a mechanism for queuing the messages to be sent during Cron runs.
    * Moved the _mass_contact_send_message() function to mass_contact.module to
      facilitate the queuing.

2013-07-02 Jason Flatt drupal@oadaeh.net
  * README.txt:
    * Added information about the Attachment location for when upgrading from
      6.x, per kruser on https://drupal.org/node/1863640.
  * mass_contact.install:
    * Added a check and conversion of the Attachment location setting for when
      upgrading from 6.x

2013-05-06 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Fix incorrect variable usage in three places, per denisgre on
      http://drupal.org/node/1987434.

2013-04-16 Jason Flatt drupal@oadaeh.net
  * mass_contact.module:
    * Allow for opting in and out of all categories, per stomachfoot on
      http://drupal.org/node/1969754.
  * mass_contact.page.inc:
    * Fix how the subject is sanitized, so it does not become unreadable, per
      Shadowdare on http://drupal.org/node/1971386.

2013-04-11 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Potential fixes for http://drupal.org/node/1908260:
      Change the email addresses to have quotes around the name.
      Defaulted the option to include names to no (0).

2013-04-05 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Check for empty variables before using them. Fix for
      http://drupal.org/node/1962410.

2013-03-29 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Make use of the $format variable where it was intended to be used.
    * Remove the now unnecessary $node_message variable.
    * Save the message body directly into params, rather than an intermediate
      variable.

2013-02-28 Jason Flatt drupal@oadaeh.net
  * mass_contact.module:
    * Check for empty data value before iterating on it.
      http://drupal.org/node/1919818

2013-02-12 Jason Flatt drupal@oadaeh.net
  * mass_contact.info, mass_contact.install, mass_contact.module,
    mass_contact.admin.inc, mass_contact.page.inc, mass_contact_role.inc,
    mass_contact_taxonomy.inc:
    * Cleaned up based on Drupal coding standards.

2013-01-30 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact.admin.inc, mass_contact.page.inc,
    mass_contact_role.inc, mass_contact_taxonomy.inc:
    * Final troubleshooting and bug fixing from the previous changes.
  * mass_contact.page.inc:
    * Run array_unique() on the recipient list, not the category, per zigazou on
      https://drupal.org/node/1795286.

2013-01-27 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact.page.inc, mass_contact_role.inc:
    * More troubleshooting and bug fixing from the previous changes.
  * mass_contact.module, mass_contact.page.inc:
    * Convert the body processing to an array, as required by hook_mail(), and
      verify input formats are correctly accounted for.

2013-01-25 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact.page.inc, mass_contact_role.inc:
    * Troubleshooting and bug fixing from the previous changes.

2013-01-21 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact_role.inc, mass_contact_taxonomy.inc:
    * Continued modification of opting out of selected categories.

2013-01-18 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact_role.inc, mass_contact_taxonomy.inc:
    * Modified opting out of selected categories to use the Ctools plugin
      integration.

2013-01-17 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact.admin.inc, mass_contact.page.inc,
    mass_contact_role.inc, mass_contact_taxonomy.inc:
    * Cleaned up Ctools plugin integration.

2013-01-14 Jason Flatt drupal@oadaeh.net
  * mass_contact_role.inc:
    * Fix problem when attempting to run a query with an empty variable, per
      arkestra on https://drupal.org/node/1529212 and tutumlum on
      https://drupal.org/node/1855650.
  * mass_contact.module, mass_contact.page.inc:
    * Update some comments.
  * mass_contact_taxonomy.inc: Work around not being able to use OR
    * w/EntityFieldQuery(), per arkestra on https://drupal.org/node/1529212.
  * mass_contact.module:
    * Fix opting out of selected categories (for roles -- needs more work for
      taxonomies), per george esper on https://drupal.org/node/1499440.
  * mass_contact.module:
    * Fix opting back in after opting out of a selected category, per
      https://drupal.org/node/1461560.

2012-11-26 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Format the user name using to the Drupal API, per tutumlum on
      http://drupal.org/node/1850540

2012-11-20 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Complete adding the option of including a from and/or to name.
      https://drupal.org/node/574482

2012-10-27 Jason Flatt drupal@oadaeh.net
  * mass_contact.admin.inc:
    * Begin adding the option of including a from and/or to name.

2012-10-23 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Fix the logic for selecting the from name and email address back to the
      way it was before the security patch went in.
  * mass_contact.admin.inc:
    * Correct misspelling of word.

2012-10-10 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact.page.inc:
    * Correct the links to Mass Contact's permissions, per hoersche on
      https://drupal.org/node/1797454

2012-10-09 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Attempt to fix reported problem w/sender's info being replaced.
      http://drupal.org/node/1793078

2012-10-02 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Fix problem with retrieving the correct filter format in certain
      situations. http://drupal.org/node/1793078

2012-09-05 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Added extra permissions checks, per security advisory here:
      http://drupal.org/node/1782832

2012-02-02 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Made it possible for anonymous users to use this module, per chaloalvarezj
      at http://drupal.org/node/1446506.
    * Removed e-mail addresses from status messages.

2012-02-02 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Fixed a form field being overwritten by another field of the same name,
      per mjorlitzky at http://drupal.org/node/1423224.
  * mass_contact.admin.inc:
    * Fixed the situation where the admin could not set the prefix to be blank,
      per mjorlitzky at http://drupal.org/node/1423306.
  * plugins/mass_contact_taxonomy.inc:
    * Added a check for an empty variable, per floeschie at
      http://drupal.org/node/1425678.

2011-12-28 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Fix problem where selecting authenticated users role resulted in no users
      being selected: http://drupal.org/node/1353504
  * mass_contact.admin.inc, mass_contact.info, mass_contact.install,
    mass_contact.module, mass_contact.page.inc, plugins/mass_contact_role.inc,
    plugins/mass_contact_taxonomy.inc
    * Added a method for creating alternate grouping methods, using ctools, by
      ygerasimov: http://drupal.org/node/144343

2011-11-25 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Due to a syntax bug (http://drupal.org/node/1314372) and a logic bug in
      the opt out selection code, re-thought and re-worked how user selections
      are done.
  * README.txt, mass_contact.info, mass_contact.install, mass_contact.module,
    mass_contact.admin.inc, mass_contact.page.inc:
    * Changed 'e-mail' to 'email', per new standards.

2011-10-13 Jason Flatt drupal@oadaeh.net
  * mass_contact.install:
    * Added an update function to remove the variables that were converted into
      permissions.
  * mass_contact.admin.inc:
    * Renamed the 'Save a copy as a node by default.' administrative setting to
      'Archive messages by saving a copy as a node'. No setting was changed.
  * mass_contact.module, mass_contact.admin.inc, mass_contact.page.inc:
    * Every single permission and several administrative settings have been
      changed, as described below (**** BE SURE TO CLEAR ALL ALL CACHES AT
      admin/config/development/performance AFTER UPDATING. ****):
      * All permission identifiers were changed to have the module name precede
        them.
      * Changed existing permissions names:
        * 'Administer mass contact' is now 'Administer Mass Contact'.
        * 'Attach files to outgoing messages' is now 'Attach files to
          messages'.
      * Converted four administrative settings into permissions (which is what
        they should have been to begin with):
        * 'Allow sender to override BCC setting.' is now 'Override BCC
          setting'.
        * 'Allow sender to override node copy setting.' is now 'Override
          message archival setting'.
        * 'Allow sender to override the text format.' is now 'Override default
          text format'.
        * 'Allow the sender to change these values.' (within the 'Default
          sender information' fieldset) is now 'Change default sender
          information'.
      * Arranged all permissions so that they appear in alphabetized order (in
        English).
  * mass_contact.page.inc:
    * Updated the displayed text and some fields of the main form, based on the
      changes above.

2011-10-12 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact.admin.inc, mass_contact.page.inc:
    * Removed more commented out code and updated some comments.

2011-09-28 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact.page.inc:
    * Removed unnecessary, commented code.

2011-09-26 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Fix various syntax and logic errors with getting and setting recipients
      and recipient counts. Added _mass_contact_finalize_headers() and
      _mass_contact_send_message() to help with that.
  * mass_contact.admin.inc, mass_contact.page.inc:
    * Revamped the body and text format code for all aspects and situations.

2011-09-22 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Fixed setting correct text filter when admin as preselected one and does
      not allow users to change it.

2011-09-21 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Put in place a work around for the problem with the node not being
      completely saved until a real solution is found (if there is one).

2011-09-20 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Set a default text format, in case the admin has not done so.
    * Fix preparing the body to account for the text format in an array.
    * Removed message formatting from within the code.
  * mass_contact.page.inc, mass_contact.admin.inc:
    * Added text formatting to body and addons. Hopefully, this fixes
      http://drupal.org/node/1277192.

2011-09-17 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Fix problem w/message body and clean up how addons are displayed with
      body.
    * Made a bunch of changes in how attachments are dealth with and how the
      archived node is saved.
    * Fixed "Additional information for Mass Contact form" text not showing on
      form (http://drupal.org/node/1277184).

2011-09-16 Jason Flatt drupal@oadaeh.net
  * mass_contact.admin.inc:
    * Changed where and how the attachements directory is dealth with.

2011-09-08 Jason Flatt drupal@oadaeh.net
  * mass_contact.install:
    * Added some missing descriptions.

2011-08-29 Jason Flatt drupal@oadaeh.net
  * mass_contact.module:
    * Actually save the opt out information on the user profile.

2011-08-29 Jason Flatt drupal@oadaeh.net
  * mass_contact.admin.inc, mass_contact.page.inc:
    * Fix the rest of sending w/o Mime Mail that broke getting it to work
      w/Mime Mail (http://drupal.org/node/1262178 by oadaeh).

2011-08-28 Jason Flatt drupal@oadaeh.net
  * mass_contact.admin.inc, mass_contact.page.inc:
    * Fix sending w/o Mime Mail that broke getting it to work w/Mime Mail
      (http://drupal.org/node/1262178 by oadaeh).

2011-08-27 Jason Flatt drupal@oadaeh.net
  * mass_contact.admin.inc, mass_contact.page.inc:
    * Now sends HTML and attachments using the Mime Mail module.

2011-08-26 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Fix sending with Mime Mail. Still need to format the message correctly.
    * Removed unnecessary and unused code.

2011-08-24 Jason Flatt drupal@oadaeh.net
  * README.txt:
    * Fix some wording in the Troubleshooting section.

2011-08-24 Jason Flatt drupal@oadaeh.net
  * mass_contact.admin.inc, mass_contact.page.inc:
    * Fixed and simplified how text formats work for the default text format,
      since Drupal doesn't have the provision for allowing one to specify the
      list of available text formats through FAPI (if at all).
  * mass_contact.admin.inc:
    * Simplified the code behind the message prefix and suffix fields.
  * mass_contact.page.inc:
    * Account for more options whan setting $from_name and $from_email.

2011-08-19 Jason Flatt drupal@oadaeh.net
  * mass_contact.module:
    * Modified mass_contact_form_user_profile_form_alter() so that editing a
      user other than the currently logged in user shows the correct assigned
      categories.
  * mass_contact.module, README.txt:
    * Extensively modified the various help texts to be more readable and to
      reflect reality.
  * mass_contact.page.inc:
    * Updated error messages to point to the help texts.
  * mass_contact.admin.inc:
    * Fixed how text formats for the prefix, suffix and default HTML filter
      settings work.

2011-08-18 Jason Flatt drupal@oadaeh.net
  * mass_contact.page.inc:
    * Changed a couple of t() @ placeholders back to !.

2011-08-12 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, mass_contact.admin.inc, mass_contact.page.inc:
    * Changed t() ! placeholders to @.
  * mass_contact.page.inc:
    * Added t() to a few l()s that did not have it.
    * Removed HTML output for Headers node field.
    * Moved $message_addon variable assignment inside the check for valid data.
  * mass_contact.install:
    * Changed the widgets for the Headers and Result fields to textarea.

2011-05-16 Jason Flatt drupal@oadaeh.net
  * mass_contact.module:
    * Converted the "Hourly threshold" setting from a select box to a text
      field, so that people can specify the exact number they want.
    * Moved the configuration menu structure from admin/structure to
      admin/config/system.
    * Removed administrative task list at the bottom of the main Mass Contact
      page.
    * Refactored the main send function.
  * HEAD.txt:
    * Removed file.
  * TODO.txt:
    * Removed file.

2011-04-23 Jason Flatt drupal@oadaeh.net
  * mass_contact.module:
    * Began the update to Drupal 7.
    * Pulled the administrative functions out into their own file.
    * Pulled the actual Mass Contact form and realted functions out into their
      own file.

2010-10-08 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Fixed problem with input formats not displaying
    correctly (http://drupal.org/node/294433, http://drupal.org/node/934222).
    Added an administrative option to specify when to check the HTML markup
    (http://drupal.org/node/468464).
    Converted several function calls to variables in the code ralated to the
    above activity to reduce the amount of processing needed and to improve
    the readability of the code.
    Fixed a bug (unrelated to the first item) with selecting the wrong input
    filter when building the message body.
    Fixed a problem when showing opt out options for users that are not a part
    of any categories (http://drupal.org/node/812518). Also, removed the when
    users may opt out as part of this fix.
    Added the ability for site administrator to specify what they want their
    opt-out message to say.

2010-10-05 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Removed reference to max_file_uploads, as it's only
    in newer versions of PHP.

2010-08-30 Jason Flatt drupal@oadaeh.net
  * mass_contact.install: Fix variable deletion query.

2010-08-27 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Correct the way a node type is created
    (http://drupal.org/node/894696).

2010-08-26 Jason Flatt drupal@oadaeh.net
  * mass_contact.install: Made variable removal encompassing during uninstall.
  * mass_contact.module: Make the closing boundary line the correct format.
    Removed some unnecessary CR/LFs.

2010-08-22 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Made the field for maximum recipients larger.
    Removed the setting of the weight for the send to self option, so that it
    wasn't all the way at the bottom of the main message form.
    Made the main menu link enabled by default.
  * README.txt: Updated the documentation, so that it was current and
    accurate. Also included a number of user recommendations.

2010-08-21 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Changed attachment behavior to allow multiple
    attachments, the number being defined by the system administrator.
    In doing the above, updated and/or fixed various MIME behaviors and/or
    settings.
    Made message attachments actual file attachments when saving the message
    as a node.
    Removed hard coded node settings when saving a node, per dabro in
    http://drupal.org/node/889846.

2010-05-11 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Separated the administrative settings page into
    three pages.
  * mass_contact.module, mass_contact.install: Added the ability to specify
    the input format for the message prefix, the user's message text, and the
    message suffix, along with allowing the user to change the input format
    for the user's message text or not.

2010-04-30 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Added the option to specify when to allow opting out
    of mass e-mails. This takes care of this feature request:
    http://drupal.org/node/354689.

2010-04-30 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Added code to be compatible with the Admin Role
    module (http://drupal.org/project/adminrole), per jim0203 and lyricnz in
    http://drupal.org/node/586870.

2010-04-30 Jason Flatt drupal@oadaeh.net
  * mass_contact.install: Corrected the default values for two database
    fields, per Nigeria and lyricnz in http://drupal.org/node/526130.

2010-04-30 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Added code to get around Drupal reformatting the
    body during the sending of the message, per hotspoons in
    http://drupal.org/node/473838.

2009-08-19 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Split a line in mass_contact_admin_delete() to avoid
    a possible accidental assignment.
    Added an "else" when checking for the number of recipients so that an
    error would not occur, due to the module attempting to send the e-mail
    even when there are no recipients, per mellenburg and drupalok in
    http://drupal.org/node/460648. Also changed the error message to include
    the category in question for less ambiguity.
    Pulled the send copy to self functionality out of the normal send process
    so that it would be sent even if there were no recipients (due to the
    above fix).
    Added a link to the logs in the error messages, for users who have
    permission to view them.

2009-08-18 Jason Flatt drupal@oadaeh.net
  * mass_contact.install: Added a field name correction to account for code
    change a long time ago, per sharplesa and MrWerewolf in
    http://drupal.org/node/371285.
  * mass_contact.module: Changed how user roles were being iterated through
    in order to fix http://drupal.org/node/543942, per ed523.

2009-03-13 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Added the ability to opt out of specific categories.
    Changed some of the text messages to use consistent wording and/or case.
    Fixed how the mass contact message content type is managed.

2009-03-11 Jason Flatt drupal@oadaeh.net
  * mass_contact.install: Added some missing variables in the uninstall
    routine.
  * mass_contact.module: Added a check for an empty menu item in
    mass_contact_menu_alter(), per cYu in http://drupal.org/node/375815.
    Fixed a bug where single categories were not being selected by default,
    per ProfStein in http://drupal.org/node/394318.

2008-10-23 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Tested and fixed problems with work around for
    http://drupal.org/node/227966.
    Changed the $from variable to $from_email and added $from_name to go
    along with it.
    Tweaked when to send self a copy, by not sending when the recipient list
    is in the BCC field and only sending at the end if the recipient list is
    being broken up.
  * README.txt: Removed note about Mime Mail.

2008-08-09 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Created a work around for
    http://drupal.org/node/227966, per compuguru and karlcw on
    http://drupal.org/node/290913.

2008-08-06 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Changed the way multipart messages are handled to
    include plain text parts with HTML messages.

2008-08-01 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Added checks for the message prefix and suffix to
    all areas where they're included, so they aren't added when they don't
    exist.
    Made the message form field larger.
    Added input formatting to the body of the message, per akolahi on
    http://drupal.org/node/231369.
    Removed extra spaces in task list items.
  * README.txt: Updated with a note about Mime Mail.
  * TODO.txt: Updated.

2008-07-31 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Fixed a bug where I forgot to change the
    $headers['Bcc'] variable to $params['headers']['Bcc'], per ulf1 on
    http://drupal.org/comment/reply/289229.
    Commented out all references to the Mime Mail module.
    Changed the $cids vaiable from a string to an array in lines 1140 through
    1143 in order for the db_placeholders() function in line 1145 to work
    correctly.

2008-07-29 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Added administrative options for forcing the HTML
    and node options, per skizzo on http://drupal.org/node/145940.
    Added a self copy option, per josvl on http://drupal.org/node/170928.
    Added an administrative option to allow or disalllow the sender to change
    the default name and e-mail address, per saul11 on
    http://drupal.org/node/143911#comment-683219.
    Added an administrative option to allow the charset to be specified, per
    jarihj on http://drupal.org/node/182903.
    Added permissions to send messages based on category, per silverd/csilver
    on http://drupal.org/node/270423.

2008-07-20 Jason Flatt drupal@oadaeh.net
  * translations/mass_contact.pot: Added.

2008-07-18 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Slight change to the wording of an error message.
    Changed the way the "Related tasks" texts are generated to hopefully help
    with translations and themeing, per meible on
    http://drupal.org/node/243292.
    Added and changed permissions per joachim in
    http://drupal.org/node/263156.

2008-07-06 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Changed how the message headers get updated.
    Slightly modified how the body is created for sending through Mime Mail
    (even though there is currently no Drupal 6.x compatible release of it).

2008-07-04 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Corrected error checking for when sending.
    Changed the node body variable to the correct one for saving attachments.
    Changed how the body array is created and edited.

2008-06-11 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: More code updating to Drupal 6.x.
    Fixed a bug where an extra category was selected by default.
  * mass_contact.install: Added @file comment.

2008-06-10 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Documented the functions.
    Created separate function (_mass_contact_create_node_type()) for the
    creation of the node type.
    Made mass_contact_save_node() a private function.
    Removed the return value from mass_contact_save_node() since it always
    returned TRUE and never anything else.

2008-06-05 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: More code cleanup.

2008-06-04 Jason Flatt drupal@oadaeh.net
  * mass_contact.install, mass_contact.module: Continued on upgrade to Drupal
    6.x.
    Code cleanup, based on PHP's E_ALL.

2008-05-28 Jason Flatt drupal@oadaeh.net
  * mass_contact.module, TODO.txt: Continued on upgrade to Drupal 6.x.

2008-05-23 Jason Flatt drupal@oadaeh.net
  * TODO.txt: Removed completed items.
  * mass_contact.module: Changed four watchdog messages to be translatable.
  * All: Started upgrade to Drupal 6.x.

2008-04-18 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Changed variable name from mass_contact_HTML_d to
    mass_contact_html_d.
    Changed how an HTML and plain text message are formed, taking into
    account the Mime Mail module.
    Added information about the formatting of HTML messages as descriptions
    for the checkboxes that enable HTML e-mails.

2008-04-15 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Tweaked the output of a log message.

2008-04-06 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Clean up based on the Code Review module and the
    ./code-style.pl script: Changed "<br>" to "<br />". Changed "!=" to "<>"
    in three SQL querues.

2008-02-22 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Modified the help text displayed for tokens to only
    show global tokens as nothing else will work at the time the tokens are
    being applied. In order to get user tokens to work, all messages would
    have to be sent out one-at-a-time to each recipient.

2008-02-17 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Changed how attachments are handled if Mime Mail is
    installed.

2008-01-23 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Made SQL query change for PostgreSQL: compatibility.
    Issue and fix reported by larsfp here: http://drupal.org/node/198778
    Changed attachment save operation from FILE_EXISTS_REPLACE to
    FILE_EXISTS_RENAME.
    Changed the help text to work with POT extractor as reported by skizzo
    here: http://drupal.org/node/176345

2008-01-22 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Removed the code to check for the SMTP module.
    Changed the recipients' e-mail addresses from $rnamea ." <". $rmaila .">"
    to $rmaila.
    Modified the way the attachment is added to the message.
    Changed the way the attachment is saved with the node to address
    http://drupal.org/node/155229.

2007-11-11 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Changed the default value for showing the opt-out
    check box from true to false.

2007-11-02 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Commented out the SMTP Auth. module specific code.

2007-10-31 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Removed denugging line, thanks to this notice:
    http://drupal.org/node/188308

2007-10-20 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Removed a forgotten extrapolation where the Token
    module was being used.

2007-09-12 Jason Flatt drupal@oadaeh.net
  * mass_contact.module: Fixed the fact that multiple categories were not
    being mailed to (which is what delayed the previous changes from getting
    into CVS).
    Fixed two places (in the area where there is a limit on the number of
    recipients) where I was not checking for a valid header before sending the
    e-mail. Thanks to sharplesa for alerting me to this oversight:
    http://drupal.org/node/173987
    Removed translation functions in areas that didn't work, as reported by
    skizzo in this comment: http://drupal.org/node/145940#comment-284484
  * TODO.txt: Added for notes and reminders on things to do.

2007-09-01 Jason Flatt drupal@oadaeh.net
  * CHANGELOG.txt: Added.
  * mass_contact.module: The community has spoken: reverting all constants to
    upper case.
    Removed an uncessary validation check in mass_contact_admin_edit_validate.
    Added periods at the end of a few sentences.
    Moved code to inform user about node creation inside the check to do it in
    the first place.
    Changed the way creating categories works so that multiple categories can
    be selected by default, and the mail page will respect those choices.
    Added the two feature requests listed here: http://drupal.org/node/170837,
    namely, hiding the categories checkbox, if there is only one category, and
    it is set as selected, and showing descriptive text instead of the BCC
    checkbox, if users are not allowed to change the setting.
    Rearranged the admin settings and the mail page, so that they flowed more
    like a standard e-mail sending form.
    Tweaked a few things here and there (text, punctuation, etc.).
    Added more commenting to the code. There's still more to do.
    Probably some other stuff I forgot about.  :^)  (This was supposed to be a
    quick change to a couple of things that ended up being a much bigger
    update that took a lot longer.)
